// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.25.0-devel
// 	protoc        v3.13.0
// source: proto/driver-authentication.proto

package proto

import (
	context "context"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type VehicleDoorType int32

const (
	VehicleDoorType_two  VehicleDoorType = 0
	VehicleDoorType_four VehicleDoorType = 1
)

// Enum value maps for VehicleDoorType.
var (
	VehicleDoorType_name = map[int32]string{
		0: "two",
		1: "four",
	}
	VehicleDoorType_value = map[string]int32{
		"two":  0,
		"four": 1,
	}
)

func (x VehicleDoorType) Enum() *VehicleDoorType {
	p := new(VehicleDoorType)
	*p = x
	return p
}

func (x VehicleDoorType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (VehicleDoorType) Descriptor() protoreflect.EnumDescriptor {
	return file_proto_driver_authentication_proto_enumTypes[0].Descriptor()
}

func (VehicleDoorType) Type() protoreflect.EnumType {
	return &file_proto_driver_authentication_proto_enumTypes[0]
}

func (x VehicleDoorType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use VehicleDoorType.Descriptor instead.
func (VehicleDoorType) EnumDescriptor() ([]byte, []int) {
	return file_proto_driver_authentication_proto_rawDescGZIP(), []int{0}
}

type GetVehicleModelsOrMakesRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Make string `protobuf:"bytes,1,opt,name=make,proto3" json:"make,omitempty"`
}

func (x *GetVehicleModelsOrMakesRequest) Reset() {
	*x = GetVehicleModelsOrMakesRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_driver_authentication_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetVehicleModelsOrMakesRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetVehicleModelsOrMakesRequest) ProtoMessage() {}

func (x *GetVehicleModelsOrMakesRequest) ProtoReflect() protoreflect.Message {
	mi := &file_proto_driver_authentication_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetVehicleModelsOrMakesRequest.ProtoReflect.Descriptor instead.
func (*GetVehicleModelsOrMakesRequest) Descriptor() ([]byte, []int) {
	return file_proto_driver_authentication_proto_rawDescGZIP(), []int{0}
}

func (x *GetVehicleModelsOrMakesRequest) GetMake() string {
	if x != nil {
		return x.Make
	}
	return ""
}

type GetVehicleModelsOrMakesResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	VehicleNames []string `protobuf:"bytes,1,rep,name=vehicle_names,json=vehicleNames,proto3" json:"vehicle_names,omitempty"`
}

func (x *GetVehicleModelsOrMakesResponse) Reset() {
	*x = GetVehicleModelsOrMakesResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_driver_authentication_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetVehicleModelsOrMakesResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetVehicleModelsOrMakesResponse) ProtoMessage() {}

func (x *GetVehicleModelsOrMakesResponse) ProtoReflect() protoreflect.Message {
	mi := &file_proto_driver_authentication_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetVehicleModelsOrMakesResponse.ProtoReflect.Descriptor instead.
func (*GetVehicleModelsOrMakesResponse) Descriptor() ([]byte, []int) {
	return file_proto_driver_authentication_proto_rawDescGZIP(), []int{1}
}

func (x *GetVehicleModelsOrMakesResponse) GetVehicleNames() []string {
	if x != nil {
		return x.VehicleNames
	}
	return nil
}

type SubmitVehicleDetailsRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Make         string          `protobuf:"bytes,1,opt,name=make,proto3" json:"make,omitempty"`
	Model        string          `protobuf:"bytes,2,opt,name=model,proto3" json:"model,omitempty"`
	Year         int32           `protobuf:"varint,3,opt,name=year,proto3" json:"year,omitempty"`
	Color        string          `protobuf:"bytes,4,opt,name=color,proto3" json:"color,omitempty"`
	DoorType     VehicleDoorType `protobuf:"varint,5,opt,name=door_type,json=doorType,proto3,enum=com.connectroutes.authentication.VehicleDoorType" json:"door_type,omitempty"`
	LicensePlate string          `protobuf:"bytes,6,opt,name=license_plate,json=licensePlate,proto3" json:"license_plate,omitempty"`
}

func (x *SubmitVehicleDetailsRequest) Reset() {
	*x = SubmitVehicleDetailsRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_driver_authentication_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SubmitVehicleDetailsRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SubmitVehicleDetailsRequest) ProtoMessage() {}

func (x *SubmitVehicleDetailsRequest) ProtoReflect() protoreflect.Message {
	mi := &file_proto_driver_authentication_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SubmitVehicleDetailsRequest.ProtoReflect.Descriptor instead.
func (*SubmitVehicleDetailsRequest) Descriptor() ([]byte, []int) {
	return file_proto_driver_authentication_proto_rawDescGZIP(), []int{2}
}

func (x *SubmitVehicleDetailsRequest) GetMake() string {
	if x != nil {
		return x.Make
	}
	return ""
}

func (x *SubmitVehicleDetailsRequest) GetModel() string {
	if x != nil {
		return x.Model
	}
	return ""
}

func (x *SubmitVehicleDetailsRequest) GetYear() int32 {
	if x != nil {
		return x.Year
	}
	return 0
}

func (x *SubmitVehicleDetailsRequest) GetColor() string {
	if x != nil {
		return x.Color
	}
	return ""
}

func (x *SubmitVehicleDetailsRequest) GetDoorType() VehicleDoorType {
	if x != nil {
		return x.DoorType
	}
	return VehicleDoorType_two
}

func (x *SubmitVehicleDetailsRequest) GetLicensePlate() string {
	if x != nil {
		return x.LicensePlate
	}
	return ""
}

type SubmitVehicleDetailsResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Message string `protobuf:"bytes,1,opt,name=message,proto3" json:"message,omitempty"`
}

func (x *SubmitVehicleDetailsResponse) Reset() {
	*x = SubmitVehicleDetailsResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_driver_authentication_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SubmitVehicleDetailsResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SubmitVehicleDetailsResponse) ProtoMessage() {}

func (x *SubmitVehicleDetailsResponse) ProtoReflect() protoreflect.Message {
	mi := &file_proto_driver_authentication_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SubmitVehicleDetailsResponse.ProtoReflect.Descriptor instead.
func (*SubmitVehicleDetailsResponse) Descriptor() ([]byte, []int) {
	return file_proto_driver_authentication_proto_rawDescGZIP(), []int{3}
}

func (x *SubmitVehicleDetailsResponse) GetMessage() string {
	if x != nil {
		return x.Message
	}
	return ""
}

var File_proto_driver_authentication_proto protoreflect.FileDescriptor

var file_proto_driver_authentication_proto_rawDesc = []byte{
	0x0a, 0x21, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x64, 0x72, 0x69, 0x76, 0x65, 0x72, 0x2d, 0x61,
	0x75, 0x74, 0x68, 0x65, 0x6e, 0x74, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x12, 0x20, 0x63, 0x6f, 0x6d, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74,
	0x72, 0x6f, 0x75, 0x74, 0x65, 0x73, 0x2e, 0x61, 0x75, 0x74, 0x68, 0x65, 0x6e, 0x74, 0x69, 0x63,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0x34, 0x0a, 0x1e, 0x47, 0x65, 0x74, 0x56, 0x65, 0x68, 0x69,
	0x63, 0x6c, 0x65, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0x73, 0x4f, 0x72, 0x4d, 0x61, 0x6b, 0x65, 0x73,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x12, 0x0a, 0x04, 0x6d, 0x61, 0x6b, 0x65, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6d, 0x61, 0x6b, 0x65, 0x22, 0x46, 0x0a, 0x1f, 0x47,
	0x65, 0x74, 0x56, 0x65, 0x68, 0x69, 0x63, 0x6c, 0x65, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0x73, 0x4f,
	0x72, 0x4d, 0x61, 0x6b, 0x65, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x23,
	0x0a, 0x0d, 0x76, 0x65, 0x68, 0x69, 0x63, 0x6c, 0x65, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x18,
	0x01, 0x20, 0x03, 0x28, 0x09, 0x52, 0x0c, 0x76, 0x65, 0x68, 0x69, 0x63, 0x6c, 0x65, 0x4e, 0x61,
	0x6d, 0x65, 0x73, 0x22, 0xe6, 0x01, 0x0a, 0x1b, 0x53, 0x75, 0x62, 0x6d, 0x69, 0x74, 0x56, 0x65,
	0x68, 0x69, 0x63, 0x6c, 0x65, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x12, 0x12, 0x0a, 0x04, 0x6d, 0x61, 0x6b, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x04, 0x6d, 0x61, 0x6b, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x6d, 0x6f, 0x64, 0x65, 0x6c,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x12, 0x12, 0x0a,
	0x04, 0x79, 0x65, 0x61, 0x72, 0x18, 0x03, 0x20, 0x01, 0x28, 0x05, 0x52, 0x04, 0x79, 0x65, 0x61,
	0x72, 0x12, 0x14, 0x0a, 0x05, 0x63, 0x6f, 0x6c, 0x6f, 0x72, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x05, 0x63, 0x6f, 0x6c, 0x6f, 0x72, 0x12, 0x4e, 0x0a, 0x09, 0x64, 0x6f, 0x6f, 0x72, 0x5f,
	0x74, 0x79, 0x70, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x31, 0x2e, 0x63, 0x6f, 0x6d,
	0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x6f, 0x75, 0x74, 0x65, 0x73, 0x2e, 0x61,
	0x75, 0x74, 0x68, 0x65, 0x6e, 0x74, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x56, 0x65,
	0x68, 0x69, 0x63, 0x6c, 0x65, 0x44, 0x6f, 0x6f, 0x72, 0x54, 0x79, 0x70, 0x65, 0x52, 0x08, 0x64,
	0x6f, 0x6f, 0x72, 0x54, 0x79, 0x70, 0x65, 0x12, 0x23, 0x0a, 0x0d, 0x6c, 0x69, 0x63, 0x65, 0x6e,
	0x73, 0x65, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0c,
	0x6c, 0x69, 0x63, 0x65, 0x6e, 0x73, 0x65, 0x50, 0x6c, 0x61, 0x74, 0x65, 0x22, 0x38, 0x0a, 0x1c,
	0x53, 0x75, 0x62, 0x6d, 0x69, 0x74, 0x56, 0x65, 0x68, 0x69, 0x63, 0x6c, 0x65, 0x44, 0x65, 0x74,
	0x61, 0x69, 0x6c, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x18, 0x0a, 0x07,
	0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x6d,
	0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x2a, 0x24, 0x0a, 0x0f, 0x56, 0x65, 0x68, 0x69, 0x63, 0x6c,
	0x65, 0x44, 0x6f, 0x6f, 0x72, 0x54, 0x79, 0x70, 0x65, 0x12, 0x07, 0x0a, 0x03, 0x74, 0x77, 0x6f,
	0x10, 0x00, 0x12, 0x08, 0x0a, 0x04, 0x66, 0x6f, 0x75, 0x72, 0x10, 0x01, 0x32, 0xd8, 0x02, 0x0a,
	0x19, 0x44, 0x72, 0x69, 0x76, 0x65, 0x72, 0x52, 0x65, 0x67, 0x69, 0x73, 0x74, 0x72, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0xa0, 0x01, 0x0a, 0x17, 0x47,
	0x65, 0x74, 0x56, 0x65, 0x68, 0x69, 0x63, 0x6c, 0x65, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0x73, 0x4f,
	0x72, 0x4d, 0x61, 0x6b, 0x65, 0x73, 0x12, 0x40, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x63, 0x6f, 0x6e,
	0x6e, 0x65, 0x63, 0x74, 0x72, 0x6f, 0x75, 0x74, 0x65, 0x73, 0x2e, 0x61, 0x75, 0x74, 0x68, 0x65,
	0x6e, 0x74, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x47, 0x65, 0x74, 0x56, 0x65, 0x68,
	0x69, 0x63, 0x6c, 0x65, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0x73, 0x4f, 0x72, 0x4d, 0x61, 0x6b, 0x65,
	0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x41, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x63,
	0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x6f, 0x75, 0x74, 0x65, 0x73, 0x2e, 0x61, 0x75, 0x74,
	0x68, 0x65, 0x6e, 0x74, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x47, 0x65, 0x74, 0x56,
	0x65, 0x68, 0x69, 0x63, 0x6c, 0x65, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0x73, 0x4f, 0x72, 0x4d, 0x61,
	0x6b, 0x65, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x12, 0x97, 0x01,
	0x0a, 0x14, 0x53, 0x75, 0x62, 0x6d, 0x69, 0x74, 0x56, 0x65, 0x68, 0x69, 0x63, 0x6c, 0x65, 0x44,
	0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x12, 0x3d, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x63, 0x6f, 0x6e,
	0x6e, 0x65, 0x63, 0x74, 0x72, 0x6f, 0x75, 0x74, 0x65, 0x73, 0x2e, 0x61, 0x75, 0x74, 0x68, 0x65,
	0x6e, 0x74, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x53, 0x75, 0x62, 0x6d, 0x69, 0x74,
	0x56, 0x65, 0x68, 0x69, 0x63, 0x6c, 0x65, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x3e, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x63, 0x6f, 0x6e, 0x6e,
	0x65, 0x63, 0x74, 0x72, 0x6f, 0x75, 0x74, 0x65, 0x73, 0x2e, 0x61, 0x75, 0x74, 0x68, 0x65, 0x6e,
	0x74, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x53, 0x75, 0x62, 0x6d, 0x69, 0x74, 0x56,
	0x65, 0x68, 0x69, 0x63, 0x6c, 0x65, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x42, 0x07, 0x5a, 0x05, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_proto_driver_authentication_proto_rawDescOnce sync.Once
	file_proto_driver_authentication_proto_rawDescData = file_proto_driver_authentication_proto_rawDesc
)

func file_proto_driver_authentication_proto_rawDescGZIP() []byte {
	file_proto_driver_authentication_proto_rawDescOnce.Do(func() {
		file_proto_driver_authentication_proto_rawDescData = protoimpl.X.CompressGZIP(file_proto_driver_authentication_proto_rawDescData)
	})
	return file_proto_driver_authentication_proto_rawDescData
}

var file_proto_driver_authentication_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_proto_driver_authentication_proto_msgTypes = make([]protoimpl.MessageInfo, 4)
var file_proto_driver_authentication_proto_goTypes = []interface{}{
	(VehicleDoorType)(0),                    // 0: com.connectroutes.authentication.VehicleDoorType
	(*GetVehicleModelsOrMakesRequest)(nil),  // 1: com.connectroutes.authentication.GetVehicleModelsOrMakesRequest
	(*GetVehicleModelsOrMakesResponse)(nil), // 2: com.connectroutes.authentication.GetVehicleModelsOrMakesResponse
	(*SubmitVehicleDetailsRequest)(nil),     // 3: com.connectroutes.authentication.SubmitVehicleDetailsRequest
	(*SubmitVehicleDetailsResponse)(nil),    // 4: com.connectroutes.authentication.SubmitVehicleDetailsResponse
}
var file_proto_driver_authentication_proto_depIdxs = []int32{
	0, // 0: com.connectroutes.authentication.SubmitVehicleDetailsRequest.door_type:type_name -> com.connectroutes.authentication.VehicleDoorType
	1, // 1: com.connectroutes.authentication.DriverRegistrationService.GetVehicleModelsOrMakes:input_type -> com.connectroutes.authentication.GetVehicleModelsOrMakesRequest
	3, // 2: com.connectroutes.authentication.DriverRegistrationService.SubmitVehicleDetails:input_type -> com.connectroutes.authentication.SubmitVehicleDetailsRequest
	2, // 3: com.connectroutes.authentication.DriverRegistrationService.GetVehicleModelsOrMakes:output_type -> com.connectroutes.authentication.GetVehicleModelsOrMakesResponse
	4, // 4: com.connectroutes.authentication.DriverRegistrationService.SubmitVehicleDetails:output_type -> com.connectroutes.authentication.SubmitVehicleDetailsResponse
	3, // [3:5] is the sub-list for method output_type
	1, // [1:3] is the sub-list for method input_type
	1, // [1:1] is the sub-list for extension type_name
	1, // [1:1] is the sub-list for extension extendee
	0, // [0:1] is the sub-list for field type_name
}

func init() { file_proto_driver_authentication_proto_init() }
func file_proto_driver_authentication_proto_init() {
	if File_proto_driver_authentication_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_proto_driver_authentication_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetVehicleModelsOrMakesRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_driver_authentication_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetVehicleModelsOrMakesResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_driver_authentication_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SubmitVehicleDetailsRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_driver_authentication_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SubmitVehicleDetailsResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_proto_driver_authentication_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   4,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_proto_driver_authentication_proto_goTypes,
		DependencyIndexes: file_proto_driver_authentication_proto_depIdxs,
		EnumInfos:         file_proto_driver_authentication_proto_enumTypes,
		MessageInfos:      file_proto_driver_authentication_proto_msgTypes,
	}.Build()
	File_proto_driver_authentication_proto = out.File
	file_proto_driver_authentication_proto_rawDesc = nil
	file_proto_driver_authentication_proto_goTypes = nil
	file_proto_driver_authentication_proto_depIdxs = nil
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// DriverRegistrationServiceClient is the client API for DriverRegistrationService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type DriverRegistrationServiceClient interface {
	GetVehicleModelsOrMakes(ctx context.Context, in *GetVehicleModelsOrMakesRequest, opts ...grpc.CallOption) (*GetVehicleModelsOrMakesResponse, error)
	SubmitVehicleDetails(ctx context.Context, in *SubmitVehicleDetailsRequest, opts ...grpc.CallOption) (*SubmitVehicleDetailsResponse, error)
}

type driverRegistrationServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewDriverRegistrationServiceClient(cc grpc.ClientConnInterface) DriverRegistrationServiceClient {
	return &driverRegistrationServiceClient{cc}
}

func (c *driverRegistrationServiceClient) GetVehicleModelsOrMakes(ctx context.Context, in *GetVehicleModelsOrMakesRequest, opts ...grpc.CallOption) (*GetVehicleModelsOrMakesResponse, error) {
	out := new(GetVehicleModelsOrMakesResponse)
	err := c.cc.Invoke(ctx, "/com.connectroutes.authentication.DriverRegistrationService/GetVehicleModelsOrMakes", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *driverRegistrationServiceClient) SubmitVehicleDetails(ctx context.Context, in *SubmitVehicleDetailsRequest, opts ...grpc.CallOption) (*SubmitVehicleDetailsResponse, error) {
	out := new(SubmitVehicleDetailsResponse)
	err := c.cc.Invoke(ctx, "/com.connectroutes.authentication.DriverRegistrationService/SubmitVehicleDetails", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// DriverRegistrationServiceServer is the server API for DriverRegistrationService service.
type DriverRegistrationServiceServer interface {
	GetVehicleModelsOrMakes(context.Context, *GetVehicleModelsOrMakesRequest) (*GetVehicleModelsOrMakesResponse, error)
	SubmitVehicleDetails(context.Context, *SubmitVehicleDetailsRequest) (*SubmitVehicleDetailsResponse, error)
}

// UnimplementedDriverRegistrationServiceServer can be embedded to have forward compatible implementations.
type UnimplementedDriverRegistrationServiceServer struct {
}

func (*UnimplementedDriverRegistrationServiceServer) GetVehicleModelsOrMakes(context.Context, *GetVehicleModelsOrMakesRequest) (*GetVehicleModelsOrMakesResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetVehicleModelsOrMakes not implemented")
}
func (*UnimplementedDriverRegistrationServiceServer) SubmitVehicleDetails(context.Context, *SubmitVehicleDetailsRequest) (*SubmitVehicleDetailsResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SubmitVehicleDetails not implemented")
}

func RegisterDriverRegistrationServiceServer(s *grpc.Server, srv DriverRegistrationServiceServer) {
	s.RegisterService(&_DriverRegistrationService_serviceDesc, srv)
}

func _DriverRegistrationService_GetVehicleModelsOrMakes_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetVehicleModelsOrMakesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DriverRegistrationServiceServer).GetVehicleModelsOrMakes(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.connectroutes.authentication.DriverRegistrationService/GetVehicleModelsOrMakes",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DriverRegistrationServiceServer).GetVehicleModelsOrMakes(ctx, req.(*GetVehicleModelsOrMakesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _DriverRegistrationService_SubmitVehicleDetails_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SubmitVehicleDetailsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DriverRegistrationServiceServer).SubmitVehicleDetails(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.connectroutes.authentication.DriverRegistrationService/SubmitVehicleDetails",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DriverRegistrationServiceServer).SubmitVehicleDetails(ctx, req.(*SubmitVehicleDetailsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _DriverRegistrationService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "com.connectroutes.authentication.DriverRegistrationService",
	HandlerType: (*DriverRegistrationServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "GetVehicleModelsOrMakes",
			Handler:    _DriverRegistrationService_GetVehicleModelsOrMakes_Handler,
		},
		{
			MethodName: "SubmitVehicleDetails",
			Handler:    _DriverRegistrationService_SubmitVehicleDetails_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "proto/driver-authentication.proto",
}
